unit ModuleHooks;

// Version 1.0

interface
Uses
  BoxFiles,
  BoxAPI,
  MyTypes;

procedure CallModuleHooks(Box: PBox);

implementation

procedure CallModuleHooks(Box: PBox);
var
  Buffer: String;
  ShortPath: PChar;

begin
  ShortPath := StrAlloc(MAX_PATH);
  Buffer := BoxReadNextConfig(Box^.BoxPtr,'*ModuleHook');
    while Buffer<>'' do begin
        GetShortPathName(PChar(Box^.BoxFile),ShortPath,MAX_PATH);
        LsExecute(0,PChar(Buffer+#32+ShortPath+#32+Int2Str(Box^.hMainWnd)),false);
        Buffer := BoxReadNextConfig(Box^.BoxPtr,'*ModuleHook'); end;
  StrDispose(ShortPath);
end;

end.
